RlikeExpression (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.orm
[Java] Class RlikeExpression

    java.lang.Object
      grails.orm.RlikeExpression

All Implemented Interfaces:
  org.hibernate.criterion.Criterion

    public class RlikeExpression
    extends java.lang.Object

Adds support for rlike to Hibernate in supported dialects.

Authors:
  Graeme Rocher

Since:
  1.1.1

Constructor Summary
`RlikeExpression(java.lang.String propertyName, java.lang.Object value)`
`RlikeExpression(java.lang.String propertyName, java.lang.String value, org.hibernate.criterion.MatchMode matchMode)`

Method Summary
`org.hibernate.engine.TypedValue[]` | `getTypedValues(org.hibernate.Criteria criteria, org.hibernate.criterion.CriteriaQuery criteriaQuery)`
`java.lang.String` | `toSqlString(org.hibernate.Criteria criteria, org.hibernate.criterion.CriteriaQuery criteriaQuery)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### RlikeExpression

    public RlikeExpression(java.lang.String propertyName, java.lang.Object value)

### RlikeExpression

    public RlikeExpression(java.lang.String propertyName, java.lang.String value, org.hibernate.criterion.MatchMode matchMode)

Method Detail

### getTypedValues

    public org.hibernate.engine.TypedValue[] getTypedValues(org.hibernate.Criteria criteria, org.hibernate.criterion.CriteriaQuery criteriaQuery)

### toSqlString

    public java.lang.String toSqlString(org.hibernate.Criteria criteria, org.hibernate.criterion.CriteriaQuery criteriaQuery)

### toString

    @Override
    public java.lang.String toString()

Groovy Documentation